/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.tika.internal.util;

import org.apache.tika.config.TikaConfig;

/**
 * @author Shuyang Zhou
 */
public class TikaConfigUtil {

	public static TikaConfig getTikaConfig() {
		return _tikaConfig;
	}

	private static final TikaConfig _tikaConfig;

	static {
		try {
			_tikaConfig = new TikaConfig(
				TikaConfigUtil.class.getResource("/tika/tika.xml"));
		}
		catch (Exception exception) {
			throw new ExceptionInInitializerError(exception);
		}
	}

}